Loading...
Searching...
No Matches
PreprocessRxn.h File Reference
`#include <RDGeneral/export.h>`
`#include "Reaction.h"`
`#include <string>`
`#include <string_view>`
`#include <exception>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::preprocessReaction (ChemicalReaction &rxn, const std::string_view &propName=common_properties::molFileValue)
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::preprocessReaction (ChemicalReaction &rxn, unsigned int &numWarnings, unsigned int &numErrors, std::vector< std::vector< std::pair< unsigned int, std::string > > > &reactantLabels, const std::string_view &propName=common_properties::molFileValue)
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::preprocessReaction (ChemicalReaction &rxn, const std::map< std::string, ROMOL_SPTR > &queries, const std::string_view &propName=common_properties::molFileValue)
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::preprocessReaction (ChemicalReaction &rxn, unsigned int &numWarnings, unsigned int &numErrors, std::vector< std::vector< std::pair< unsigned int, std::string > > > &reactantLabels, const std::map< std::string, ROMOL_SPTR > &queries, const std::string_view &propName=common_properties::molFileValue)